#ifndef LXCSTAT_H
#define LXCSTAT_H

typedef struct _lxc_info {
  struct _lxc_info *next;
  struct _lxc_info *head;
  struct _lxc_info *tail;   // only valid for head lxcinfo
  int running;
  int lxcid;
  int cpucount;
  int memlimit;
  int swaplimit;
  char hostname[128];
} lxcinfo;

lxcinfo *getLXCInfo(lxcinfo **lxcs, int lxcid);
void getInactiveLXCs(lxcinfo **lxcs);

#endif